import { createApp } from 'vue'
import App from './App.vue'
import { createPinia } from 'pinia'
import router from './router'
import 'lib-flexible/flexible' // px在h5自动转rem
import 'virtual:windi.css'
// import 'virtual:windi-devtools'


import { useVant } from './plugins/vant'


const app = createApp(App)


useVant(app)
app.use(createPinia())
app.use(router)
app.mount('#app')

